summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-12-15 09:36:45 +0100
committerMichał Górny <mgorny@gentoo.org>2020-12-15 12:05:35 +0100
commitc44306e61b9b86cf58ade0866431c547fff495a1 (patch)
treee512ff8bee369c54dfeb6c99adcf9f6880f65d81 /dev-python/mongoengine
parentdev-python/pip: Bump to 20.3.2 (diff)
downloadgentoo-c44306e61b9b86cf58ade0866431c547fff495a1.tar.gz
gentoo-c44306e61b9b86cf58ade0866431c547fff495a1.tar.bz2
gentoo-c44306e61b9b86cf58ade0866431c547fff495a1.zip
dev-python/mongoengine: Bump to 0.22.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/mongoengine')
-rw-r--r--dev-python/mongoengine/Manifest1
-rw-r--r--dev-python/mongoengine/mongoengine-0.22.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/mongoengine/Manifest b/dev-python/mongoengine/Manifest
index d3d7786870d..2d38719ecc6 100644
--- a/dev-python/mongoengine/Manifest
+++ b/dev-python/mongoengine/Manifest
@@ -1,2 +1,3 @@
DIST mongoengine-0.20.0.tar.gz 311698 BLAKE2B 11bae8d342a77bcc241884beb92d67a6d4f7112d0af3a467196eb94233b003aa27d019ab346140ce7430b4019879c8c86e01f3067677254559243b6d1f0ddc80 SHA512 ef973af9893f6e53811e1a47a131989f5a057af04ab9d512059f968af89fcd23f05d910c7de03330b5f4771db8e11ea2e48060f95ed790f8d238df6c6f7b9306
DIST mongoengine-0.21.0.tar.gz 320173 BLAKE2B 6c53c8dd967209039a3c2b6e279e6a27cf7073a6284b0df70aff25004c8499e88088d934eadf2e23dc3f43cd2ebc0d3c202cfbee618772b8a794a6ef933a9a75 SHA512 37642e9c9333fb4480262e916d678ef04a1f839b62e7d58528485b7df7cb9b22d3cb0b093084fcb92e331698c7d5bf2411df5d0c6e6b9324748189b9084c3f54
+DIST mongoengine-0.22.0.tar.gz 319893 BLAKE2B dc58cad3a93b5c391012fcbc7f0f9cc372bae970847c629bbe6dd158b8d6d9b032b26c118a7931f51f6754333fdbd890904699417076a84ff295233e33daa48c SHA512 293cf0124c18d4c67ecd70e129ab51a0a29a919fecddffbf24619275012534d7c5cb7ee97a65d933654cd582554a276772dc933b1fba357ddac8d3a295f4fda8
diff --git a/dev-python/mongoengine/mongoengine-0.22.0.ebuild b/dev-python/mongoengine/mongoengine-0.22.0.ebuild
new file mode 100644
index 00000000000..bcf7043f3db
--- /dev/null
+++ b/dev-python/mongoengine/mongoengine-0.22.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit distutils-r1
+
+DESCRIPTION="A Python Object-Document-Mapper for working with MongoDB"
+HOMEPAGE="https://github.com/MongoEngine/mongoengine/"
+SRC_URI="https://github.com/MongoEngine/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# TODO: make it run a local database server
+RESTRICT="test"
+
+RDEPEND="dev-python/blinker[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pymongo[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( dev-python/mongomock[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # TODO: investigate
+ sed -e 's:test_covered_index:_&:' \
+ -i tests/document/test_indexes.py || die
+ # no $eval
+ sed -e 's:test_exec_js_field_sub:_&:' \
+ -e 's:test_exec_js_query:_&:' \
+ -e 's:test_item_frequencies_normalize:_&:' \
+ -e 's:test_item_frequencies_with_0_values:_&:' \
+ -e 's:test_item_frequencies_with_False_values:_&:' \
+ -e 's:test_item_frequencies_with_null_embedded:_&:' \
+ -i tests/queryset/test_queryset.py || die
+ # TODO: investigate (wrong order? bad comparison?)
+ sed -e 's:test_distinct_ListField_EmbeddedDocumentField:_&:' \
+ -i tests/queryset/test_queryset.py || die
+
+ distutils-r1_src_prepare
+}